# Get documents

Search list of documents based on query and params

Endpoint: POST /documents/{offset}/{amount}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `offset` (integer, required)

  - `amount` (string, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `totalResults` (integer)

  - `documents` (array)

  - `documents.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `documents.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `documents.uuid` (string, required)

  - `documents.primaryPlatformId` (string, required)

  - `documents.createdAt` (string)
    The date and time this Entity has been created

  - `documents.updatedAt` (string)
    The date and time this Entity has been updated

  - `documents.language` (object)
    circular reference

  - `documents.name` (string)

  - `documents.description` (string)

  - `documents.expiresAt` (string)

  - `documents.fileName` (string)

  - `documents.mimeType` (string)

  - `documents.encoding` (string)

  - `documents.verified` (boolean)

  - `documents.owner` (object)

  - `documents.owner.associationType` (string)
    Enum: "inline", "reference"

  - `documents.content` (object, required)

  - `documents.content.id` (string)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `documents.content.contentType` (string)
    Enum: "data", "uri"

  - `documents.file` (object)

  - `documents.file.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `documents.file.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `documents.file.uuid` (string, required)

  - `documents.file.primaryPlatformId` (string, required)

  - `documents.file.createdAt` (string)
    The date and time this Entity has been created

  - `documents.file.updatedAt` (string)
    The date and time this Entity has been updated

  - `documents.file.language` (object)
    circular reference

  - `documents.file.url` (string)

  - `documents.file.path` (string)

  - `documents.file.name` (string)

  - `documents.file.originalName` (string)

  - `documents.file.size` (integer)

  - `documents.file.purpose` (string)

  - `documents.file.type` (string)
    Enum: "IMAGE", "VIDEO", "MUSIC", "WORD", "EXCEL", "CSV", "PDF", "EMAIL", "JSON"

  - `documents.file.mimeType` (string)

  - `documents.file.extension` (string)

  - `documents.file.identifiers` (array)

  - `documents.file.identifiers.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `documents.file.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `documents.file.identifiers.uuid` (string, required)

  - `documents.file.identifiers.primaryPlatformId` (string, required)

  - `documents.file.identifiers.createdAt` (string)
    The date and time this Entity has been created

  - `documents.file.identifiers.updatedAt` (string)
    The date and time this Entity has been updated

  - `documents.file.identifiers.language` (object)
    circular reference

  - `documents.file.identifiers.name` (string)

  - `documents.file.identifiers.system` (string)

  - `documents.file.identifiers.value` (string)

  - `documents.file.identifiers.expiredAt` (string)

  - `documents.file.bucket` (object)

  - `documents.file.bucket.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `documents.file.bucket.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `documents.file.bucket.uuid` (string, required)

  - `documents.file.bucket.primaryPlatformId` (string, required)

  - `documents.file.bucket.createdAt` (string)
    The date and time this Entity has been created

  - `documents.file.bucket.updatedAt` (string)
    The date and time this Entity has been updated

  - `documents.file.bucket.language` (object)
    circular reference

  - `documents.file.bucket.name` (string)

  - `documents.file.uploadedAt` (string)

  - `documents.file.tempFile` (string)

  - `documents.file.contentMatrix` (array)

  - `documents.identifiers` (array)

  - `documents.externalAttributes` (object)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


